use anyhow::Result;
use chrono::{Local, TimeZone};
use libjens::JMClient;

pub async fn run(client: &JMClient) -> Result<()> {
    let meme = client.get_random().await?;

    println!(
        "\
Link:      {}
Category:  {}
User:      {}
Timestamp: {}",
        meme.link,
        meme.category,
        meme.user,
        Local.timestamp(meme.timestamp, 0).format("%F %R")
    );

    Ok(())
}
